/* CSS Reset */
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;		
} 

/* GOOGLE FONT & BACKGROUND IMAGE */
body {
	font-family: 'Open Sans', sans-serif;
	background-color: #2E4F4F;
	padding-top: 70px;
	color: #C5E2F2;	
	background-image: url("./images/wallpaper.gif");
	width: 95vw;
	height: 100vh;	
	background-repeat: no-repeat;
	background-size: cover;
	/*image being centered horizontally, alignment with top of the element vertically*/
	background-position: center top;
	background-attachment: fixed;
}

/* NAVBAR */
nav {
	background-color: #37306B;
	position: sticky;
	top: 0;
}

/*navbar font color*/
.navbar-nav .nav-link {
    color: #0E8388;
}

/*navbar brand color*/
.navbar .navbar-brand {
	color: #C5E2F2;
}

/* LANDING PAGE ANIMATION */
@font-face {
	src: url("https://www.axis-praxis.org/fonts/webfonts/MetaVariableDemo-Set.woff2")format("woff2");
	font-family: "Meta";
	font-style: normal;
	font-weight: normal;
}

.my-name {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	display: flex;
	justify-content: space-evenly;
	align-items: center;	
	width: 95vw;
	
}

.my-name-inner {
	transition: all 0.5s;
	-webkit-text-stroke: 4px #C0DBEA;
	font-variation-settings: "wght" 900, "ital" 1;
	font-size:  4rem;
	text-align: center;
	color: transparent;
	font-family: "Meta", sans-serif;
	text-shadow: 10px 10px 0px #37306B,
	15px 15px 0px #66347F,
	20px 20px 0px #9E4784,
	25px 25px 0px #D27685,
	45px 45px 10px #EBC7E6;
	cursor: pointer;
}

.my-name-inner:hover {
	font-variation-settings: "wght" 100, "ital" 0;
	text-shadow: none;
}

@media (max-width: 768px) {
  /* styles for small screens */
  #landing-link {
    background-size: cover;
    /* image covers entire element */
  }
  
  .my-name {
    flex-direction: column;
    /* stacks elements vertically */
    justify-content: center;
    /* centers elements vertically */
    align-items: center;
    /* centers elements horizontally */
    height: 100vh;
    /* sets the height to the full viewport height */
  }
  
  .my-name-inner {
    font-size: 3rem;
    /* smaller font size for small screens */
  }
}

@media (min-width: 769px) {
  /* styles for large screens */
  #landing-link {
    background-size: 100%;
    /* image is not stretched and remains centered horizontally */
  }
  
  .my-name {
    flex-direction: row;
    /* displays elements horizontally */
    justify-content: space-evenly;
    /* evenly spaces elements horizontally */
    align-items: center;
    /* centers elements vertically */
    width: 95vw;
    /* sets the width to 95% of the viewport width */
    margin: 0 auto;
    /* centers the element horizontally */
    max-width: 1200px;
    /* sets a maximum width for the element */
  }
  
  .my-name-inner {
    font-size: 4rem;
    /* larger font size for large screens */
  }
}

/* FONT COLOR FOR SECTION HEADERS */
#about-me {
	color: #D27685;
}

.core-tools {
	color: #D27685;
}

.other-tools {
	color: #D27685;
}

.my-projects {
	color: #D27685;
}

/* PICTURE SIZE */
#my-pic {
	width: 400px;
	height: 400px;
}

@media (min-width: 768px) {
    /* Large screens */
    .core-tools {
        flex-direction: row;
        justify-content: center;
    }
}

@media (max-width: 767px) {
    /* Small screens */
    .core-tools {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

/* TOOLS ANIMATION */
.tools-logo {
	position: relative;
	padding: 0;	
	width: 150px;
	display: block;
	cursor: pointer;
	overflow: hidden;
}

.tools-content {
	opacity: 0;	
	font-size: 20px;
	position: absolute;
	top: 0;
	left: 0;
	color: #0A3D62;
	border-radius: 25px;
	background-color: rgba(200, 200, 200, 0.5);	
	width: 150px;
	height: 150px;
	-webkit-transition: all 400ms ease-out;
	-moz-transition: all 400ms ease-out;
	-o-transition: all 400ms ease-out;
	-ms-transition: all 400ms ease-out;
	transition: all 400ms ease-out;
	text-align: center;
}

.tools-logo .tools-content:hover {
  opacity: 1;
}

.tools-logo .tools-content .text {
	height: 0;
	opacity: 1;
	transition-delay: 0s;
	transition-duration: 0.4s;
}

.tools-logo .tools-content:hover .text {
	opacity: 1;
	transform: translateY(60px);
	-webkit-transform: translateY(60px);
}

.my-tools .tools-logo:hover img {	
	transform: scale(1.5);
	transition: .3s ease-in-out;		
}

/* CARD */
.card {
	background-color: #37306B;
	border-radius: 10px;
}

/* FORM */
#form {
	background-color: #37306B;
	border-radius: 10px;
	color: #C5E2F2;
}

/* BUTTONS */
.btn {
	background-color: #655DBB;
	color: #BFACE2;
}

/* FOOTER */
footer {	
	background-color: #37306B;
	color: #C5E2F2;
}


